<?php

namespace tests\codeception\common\unit;

//use \Tests\Support\UnitTester;

use domain\Producer\Producer\Producer;
use domain\Producer\Producer\ProducerModule;
use tests\codeception\common\UnitTester;

class ExampleTest extends \Codeception\Test\Unit
{
    protected UnitTester $tester;

    protected function _before()
    {
    }

    public function testMe()
    {
        $producerModule = ProducerModule::getInstance();
        $producer = $producerModule->getBuilder()->instanciateProducer();
        $this->assertTrue($producer instanceof Producer, 'Producer instancié');
    }
}
